## org.apache.log4j.lf5.viewer
Class TrackingAdjustmentListener

    java.lang.Object
      org.apache.log4j.lf5.viewer.TrackingAdjustmentListener

All Implemented Interfaces:
  AdjustmentListener, EventListener

    public class TrackingAdjustmentListener

extends Object
implements AdjustmentListener

An AdjustmentListener which ensures that an Adjustable (e.g. a Scrollbar) will "track" when the Adjustable expands. For example, when a vertical scroll bar is at its bottom anchor, the scrollbar will remain at the bottom. When the vertical scroll bar is at any other location, then no tracking will happen. An instance of this class should only listen to one Adjustable as it retains state information about the Adjustable it listens to.

Author:
  Richard Wan

Field Summary
`protected int` `_lastMaximum`

Constructor Summary
`TrackingAdjustmentListener()`

Method Summary
`void` `adjustmentValueChanged(AdjustmentEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _lastMaximum

    protected int _lastMaximum

Constructor Detail

### TrackingAdjustmentListener

    public TrackingAdjustmentListener()

Method Detail

### adjustmentValueChanged

    public void adjustmentValueChanged(AdjustmentEvent e)

  Specified by:
    `adjustmentValueChanged` in interface `AdjustmentListener`

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.